Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.events.listeners
Class DebugEventListener

    java.lang.Object
      com.bea.p13n.events.listeners.DebugEventListener

All Implemented Interfaces:
  EventListener

public class DebugEventListener
extends Object
implements EventListener

Simple implementation of EventListener that listenss for all events and simply prints the received events.

Constructor Summary
`DebugEventListener()`

Method Summary
`boolean` | `equals(Object theOther)` Implementation of equals so multiple debuggers won't be added to the same handler.
`String[]` | `getTypes()` Return the types we listen for (all of them).
`void` | `handleEvent(Event theEvent)` Print the Event using its toString to System.err

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugEventListener

    public DebugEventListener()

Method Detail

### getTypes

    public String[] getTypes()

  Return the types we listen for (all of them). Override this to make a debugger that listens on other types.

  Specified by:
    `getTypes` in interface `EventListener`
  Returns:
    String[1] containing EventConstants.TYPE_ALL

### handleEvent

    public void handleEvent(Event theEvent)

  Print the Event using its toString to System.err

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `theEvent` - The event that happened

### equals

    public boolean equals(Object theOther)

  Implementation of equals so multiple debuggers won't be added to the same handler. All listeners of the same class are considered equal.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved